BizKitHub
DocsAPI ReferencePost/bff/post/post-image-update-meta
getPostAdmin BFF

/bff/post/post-image-update-meta

Updates the alt text / title of a gallery image. Alt text is important for SEO and accessibility. Pass an empty string to clear it.

PostgetBffPostPost-image-update-meta

Parameters

3 query

Query parameters

· 3
idstringRequired

Post external ID.

Examplea1b2c3d4-e5f6-7890
imageIdstringRequired

Blob token of the image to update.

Exampleabc123def456
titlestringRequired

New alt text / title for the image (used for SEO and accessibility).

ExampleSunset over Prague Castle

Response schema

1 status code documented

200Success
successbooleanRequired

Whether the metadata was updated.

Response example

application/json
{
  "success": false
}

Request example

GET /bff/post/post-image-update-meta

get
curl -X GET "https://api.bizkithub.com/bff/post/post-image-update-meta?id=a1b2c3d4-e5f6-7890&imageId=abc123def456&title=Sunset%20over%20Prague%20Castle" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key